%define major 10
%define major_xx 4
%define major_mp 3

%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define libname_gmpxx %mklibname %{name}xx %{major_xx}
%define develname_gmpxx %mklibname %{name}xx -d
%define	libname_mp %mklibname %{name}mp %{major_mp}
%define	develname_mp %mklibname %{name}mp -d

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	6.2.1
Release:	%mkrel 3
License:	GPLv3
Group:		System/Libraries
URL:		http://gmplib.org/
Source0:	https://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz
Source1:	https://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.xz.sig

# 
# Security patches
# P100 -> ...
#
# CVE-2021-43618
Patch100:	561a9c25298e.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common
     inner loops
   - it generally emphasizes speed over simplicity/elegance in its
     operations

%package -n	%{libname}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common
    inner loops
  - it generally emphasizes speed over simplicity/elegance in its
    operations

%package -n	%{develname}
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 3 -d} < 4.2.4

%description -n	%{develname}
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%package -n	%{libname_gmpxx}
Summary:	C++ support for GMP
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libgmpxx = %{version}-%{release}
Obsoletes:	%mklibname %{name}xx 3

%description -n	%{libname_gmpxx}
C++ support for GMP.

%package -n	%{develname_gmpxx}
Summary:	C++ Development tools for the GMP
Group:		Development/C++
Requires:	%{develname} = %{version}-%{release}
Requires:	%{libname_gmpxx} = %{version}-%{release}
Provides:	lib%{name}xx-devel = %{version}-%{release}
Provides:	gmpxx-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name}xx 4 -d} < 4.2.4

%description -n	%{develname_gmpxx}
C++ Development tools for the GMP.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-cxx \
	--enable-mpbsd \
	--enable-fft \
	--disable-static
%make_build

%check
# All tests must pass
%__make check

%install
%make_install

#multiarch
%multiarch_includes %{buildroot}%{_includedir}/gmp.h

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgmp.so.%{major}{,.*}

%files -n %{develname}
%doc doc demos
%{_libdir}/libgmp.so
%{_libdir}/pkgconfig/gmp.pc
%{_includedir}/gmp.h
%multiarch %{multiarch_includedir}/gmp.h
%{_infodir}/gmp.info*

%files -n %{libname_gmpxx}
%{_libdir}/libgmpxx.so.%{major_xx}{,.*}

%files -n %{develname_gmpxx}
%{_libdir}/libgmpxx.so
%{_libdir}/pkgconfig/gmpxx.pc
%{_includedir}/gmpxx.h


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 6.2.1-3.mga9
+ Revision: 1797876
- Mageia 9 Mass Rebuild

* Fri Dec 03 2021 neoclust <neoclust> 6.2.1-2.mga9
+ Revision: 1760636
- Add P100: Fixes CVE-2021-43618 (mga#29723)

* Wed Nov 18 2020 luigiwalser <luigiwalser> 6.2.1-1.mga8
+ Revision: 1647112
- 6.2.1

* Thu Aug 20 2020 ovitters <ovitters> 6.2.0-3.mga8
+ Revision: 1616892
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 19 2020 umeabot <umeabot> 6.2.0-2.mga8
+ Revision: 1543586
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 6.2.0-1.mga8
+ Revision: 1481990
- new version: 6.2.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 6.1.2-3.mga7
+ Revision: 1297924
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Jan 18 2018 tmb <tmb> 6.1.2-2.mga7
+ Revision: 1194353
- rebuild with/for new gcc

* Sun Jan 01 2017 luigiwalser <luigiwalser> 6.1.2-1.mga6
+ Revision: 1078953
- 6.1.2

* Thu Aug 11 2016 luigiwalser <luigiwalser> 6.1.1-1.mga6
+ Revision: 1045498
- 6.1.1

* Thu Dec 31 2015 luigiwalser <luigiwalser> 6.1.0-1.mga6
+ Revision: 917437
- 6.1.0

* Fri Aug 21 2015 tmb <tmb> 6.0.0a-4.mga6
+ Revision: 867588
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 6.0.0a-3.mga5
+ Revision: 744373
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0.0a-2.mga5
+ Revision: 679670
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 luigiwalser <luigiwalser> 6.0.0a-1.mga5
+ Revision: 609861
- 6.0.0a

* Mon Oct 21 2013 umeabot <umeabot> 5.1.3-2.mga4
+ Revision: 539198
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 5.1.3-1.mga4
+ Revision: 491572
- 5.1.3

* Sat Jul 27 2013 luigiwalser <luigiwalser> 5.1.2-2.mga4
+ Revision: 459037
- add upstream patch to fix mpn_sbpi1_div_qr_sec and mpn_sbpi1_div_r_sec

* Mon Jul 22 2013 luigiwalser <luigiwalser> 5.1.2-1.mga4
+ Revision: 457311
- 5.1.2

* Mon Mar 18 2013 mitya <mitya> 5.1.1-1.mga3
+ Revision: 403951
- New version 5.1.1

* Sun Jan 27 2013 mitya <mitya> 5.1.0-1.mga3
+ Revision: 392790
- New version 5.1.0

* Sat Jan 12 2013 umeabot <umeabot> 5.0.5-3.mga3
+ Revision: 351876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 cjw <cjw> 5.0.5-2.mga3
+ Revision: 275855
- make gmp.h multiarch

* Sat Jul 07 2012 mitya <mitya> 5.0.5-1.mga3
+ Revision: 268751
- New version 5.0.5

* Sun Feb 12 2012 mitya <mitya> 5.0.4-1.mga2
+ Revision: 207603
- New version 5.0.4

* Sun Jan 29 2012 fwang <fwang> 5.0.3-1.mga2
+ Revision: 202920
- new version 5.0.3

* Fri Dec 16 2011 wally <wally> 5.0.2-2.mga2
+ Revision: 182623
- disable static build
- drop .la files

* Fri Jun 17 2011 tv <tv> 5.0.2-1.mga2
+ Revision: 109256
- new release

* Sat Jan 08 2011 blino <blino> 5.0.1-3.mga1
+ Revision: 714
- remove old ldconfig scripts
- imported package gmp


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0.1-2mdv2011.0
+ Revision: 605467
- rebuild

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 5.0.1-1mdv2010.1
+ Revision: 502595
- libso version change ( 3->10 ), which should happen in 5.0.0
- new version 5.0.1

* Sun Jan 31 2010 Oden Eriksson <oeriksson@mandriva.com> 5.0.0-1mdv2010.1
+ Revision: 498806
- 5.0.0

* Fri Jan 08 2010 Emmanuel Andry <eandry@mandriva.org> 4.3.2-1mdv2010.1
+ Revision: 487742
- New version 4.3.2
- fix URL and SOURCE

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 4.3.1-1mdv2010.0
+ Revision: 375706
- update to new version 4.3.1

* Sat May 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.3.0-1mdv2010.0
+ Revision: 370725
- update to new version 4.3.0

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 4.2.4-3mdv2009.1
+ Revision: 318481
- rebuild

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 4.2.4-2mdv2009.1
+ Revision: 302043
- fix devel package requires

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.4-1mdv2009.1
+ Revision: 289068
- new license policy
- new devel library policy
- add missing buildrequires
- update to new version 4.2.4

* Thu Aug 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.3-1mdv2009.0
+ Revision: 265366
- update to new version 4.2.3

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.2.2-2mdv2009.0
+ Revision: 221073
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2.2-1mdv2008.1
+ Revision: 97233
- new release
- spec file clean


* Wed Mar 07 2007 David Walluck <walluck@mandriva.org> 4.2.1-1mdv2007.1
+ Revision: 134648
- 4.2.1

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-5mdv2007.1
+ Revision: 74681
- bunzip patches
- misc spec file fixes
- Import gmp

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 4.1.4-4mdk
- rebuild for sparc

* Tue Jan 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.1.4-3mdk
- fix sparc64 build (P8 from aurora)
- fix prereq-use
- add %%check stage where we move make check to

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.1.4-2mdk
- Rebuild

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.4-1mdk
- 4.1.4
- Patch 7 : Fix Build

* Tue Jun 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.3-2mdk
- remove build dependency on gmp-devel

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.3-1mdk
- 4.1.3
- regenerate P0
- drop P2-P6 (merged upstream)

